#region Using directives

using System;
using System.Text;

#endregion

#region Command class
public class Command
{
	public void Execute() {}
	protected Command() {}
}
#endregion

#region Connection class
public unsafe class Connection
{
	public Connection() {}

	private char* Path;
	int resourceId;
}
#endregion

#region LspConnection class

public class LspConnection : Connection
{
public LspConnection(int Id, int lspPreference, int lspPathId)
{
	Console.WriteLine("Creating an LSP\n");
	lspId = Id;
	preference = lspPreference;
	pathId = lspPathId;
}

private int lspId;
private int preference;
private int pathId;
	
public int getLspId() { return lspId; }
public int getLspPreference() { return preference; }
public int getLspPathId() { return pathId; }
};

#endregion
    
#region deleteNetworkObject class    
public class deleteNetworkObject : Command
{
public deleteNetworkObject(LspConnection lsp)
{
	connection = lsp;
}

public new void Execute()
{
//Delete the LSP components starting with the LSP
Console.WriteLine("Deleting LSP ID {0}: ", connection.getLspId());

//Delete the LSP preference
Console.WriteLine("Deleting LSP Preference {0}", connection.getLspPreference());

//Delete the LSP path ID
Console.WriteLine("Deleting LSP Path ID {0}", connection.getLspPathId());
}

private LspConnection connection;
}

#endregion
